# sb::Content::Message
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Content::Message;
use vars qw( $VERSION );
$VERSION = '0.02';
# 0.02 [2007/08/12] renamed from '_main' to '_00main'
# 0.01 [2007/08/01] fixed a simple syntax error
# 0.00 [2007/07/31] divided from sb::Content
# --------------------------------------
# // default callbacks
sub _init
{
	return (
		'_00main' => \&_main,
		'content' => \&_content,
	);
}
# --------------------------------------
# // define callbacks
sub _main
{
	my $cms  = shift;
	my %var  = @_;
	my $js = $var{'conf'}->value('conf_srv_base') . $var{'conf'}->value('conf_dir_log') . $var{'conf'}->value('file_cook');
	$cms->tag('sb_comment_js'=>'<script type="text/javascript" src="' . $js . '"></script>');
	$cms->tag('cookie_name'=>'');
	$cms->tag('cookie_email'=>'');
	$cms->tag('cookie_url'=>'');
	my @icons = sb::Data->load('Image','cond'=>{'icon_c'=>1});
	if (@icons)
	{
		my $icon_form = '<div id="icon_form"><select name="icon" id="icon" onchange="previewCommentIcon(this.value);">';
		$icon_form .= '<option value="">' . $var{'lang'}->string('parts_no_icon') . '</option>' . "\n";
		foreach my $icon (@icons)
		{
			$icon_form .= '<option value="' . $icon->id . '"';
			$icon_form .= ' selected="selected"' if ($icon->id eq $var{'cookie'}->{'icon'});
			$icon_form .= '>' . $icon->name . '</option>' . "\n";
		}
		$icon_form .= '</select><span>[icon]</span></div>' . "\n";
		$cms->tag('comment_iconform'=>$icon_form);
	}
}
sub _content
{
	my $cms  = shift;
	my $com  = shift;
	my %var  = @_;
	my $date = sb::Time->format(
		'time'=>$com->date,
		'form'=>$var{'conf'}->value('conf_msg_time'),
		'zone'=>$com->tz,
		'lang'=>$var{'conf'}->value('conf_time_lang'),
	);
	$cms->tag('comment_description'=>$com->formatted_body);
	$cms->tag('comment_name'=>$com->auth_with_url);
	$cms->tag('comment_time'=>$date);
	$cms->tag('comment_icon'=>$com->icon_image);
	$cms->tag('site_parts'=>$var{'conf'}->value('conf_srv_base') . $var{'conf'}->value('dir_style'));
}
1;
__END__
