# sb::Data::Weblog
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Data::Weblog;
use strict;
use sb::Data::Object ();
use base qw( sb::Data::Object );
use vars qw( $VERSION );
$VERSION = '0.05';
# 0.05 [2008/07/20] added 'dbset'
# 0.04 [2007/08/04] added initializer
# 0.03 [2007/02/11] ported from biscuit
# 0.02 [2005/07/22] changed data structure to array
# 0.01 [2005/07/08] changed DEFAULT_PLUGIN
# 0.00 [2005/02/02] generated
# --------------------------------------
# // defines / static variables
sub DEFAULT_TITLE  (){ 'My first weblog' };
sub DEFAULT_PLUGIN (){ '[AccessLog.pm][Convert.pm]' };
# --------------------------------------
# // override base class - tbale
sub table
{
	my $self = shift;
	return (
		'id'     => 'uni_id',   # id
		'title'  => 'str(255)', # title
		'text'   => 'text',     # description
		'pacc'   => 'str(255)', # [POP3] account
		'psrv'   => 'str(255)', # [POP3] server address
		'psubj'  => 'str(255)', # [POP3] target subject
		'pfrom'  => 'str(255)', # [POP3] target from address
		'pcat'   => 'int',      # [POP3] category to apply
		'pthum'  => 'int',      # [POP3] flag for thumbnail creation
		'pform'  => 'str(255)', # [POP3] applied format
		'pping'  => 'int',      # [POP3] flag for ping transmission
		'pcron'  => 'str(255)', # [POP3] cron setting
		'ptime'  => 'int',      # [POP3] checking interval
		'ppass'  => 'str(255)', # [POP3] password
		'papop'  => 'str(255)', # [POP3] APOP authentification
		'ppath'  => 'str(255)', # [POP3] access path
		'smtp'   => 'str(255)', # smtp server address or sendmail path (depends on stype)
		'stype'  => 'str(255)', # mail notification type (smtp or sendmail)
		'ext'    => 'text',     # extra information
		'plugin' => 'text',     # plugins
		'dbset'  => 'int',      # dbset
	);
}
# --------------------------------------
# // initializer
BEGIN
{
	__PACKAGE__->init_accessor();
}
sub default
{ # default settings
	my $self  = shift;
	my %param = @_;
	$param{'title'}  = DEFAULT_TITLE  if ($param{'title'} eq '');
	$param{'plugin'} = DEFAULT_PLUGIN if ($param{'plugin'} eq '');
	$self->SUPER::initialize(%param);
}
# --------------------------------------
# // public functions
# --------------------------------------
# // private functions
1;
__END__
